SLOCK(1)

NAME
slock - simple X screen locker

SYNOPSIS
slock [-v] [cmd [arg ...]]

DESCRIPTION
slock is a simple X screen locker. If provided, cmd [arg ...] is executed after the screen has been locked.

OPTIONS

-v  Print version information to stdout and exit.

SECURITY CONSIDERATIONS
To make sure a locked screen can not be bypassed by switching VTs or killing the X server with Ctrl+Alt+Backspace, it is recommended to disable both in xorg.conf(5) for maximum security:

    Section "ServerFlags"
    	Option "DontVTSwitch" "True"
    	Option "DontZap"      "True"
    EndSection

EXAMPLES
$ slock /usr/sbin/s2ram

CUSTOMIZATION
slock can be customized by creating a custom config.h from config.def.h and (re)compiling the source code. This keeps it fast, secure and simple.